Get config

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /config

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • version string
    • environment string
    • flagsmithKey string
    • flagsmithApiUrl string
    • pendoApiKey string
    • churnZeroApiKey string
    • churnZeroIgnoredDomains array[string]
    • gtmContainerId string
    • procoreDomain string
GET /config
curl \
 --request GET 'https://live.smartpmtech.com/config' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "version": "string",
  "environment": "string",
  "flagsmithKey": "string",
  "flagsmithApiUrl": "string",
  "pendoApiKey": "string",
  "churnZeroApiKey": "string",
  "churnZeroIgnoredDomains": [
    "string"
  ],
  "gtmContainerId": "string",
  "procoreDomain": "string"
}